"use client";
import { AccessTime } from "@mui/icons-material";
import { Chip } from "@mui/material";
import Countdown from "react-countdown";

const DiscountPriceCounter = ({ endTime, icon = true, size = "small" }) => {
  const renderer = ({ days, hours, minutes, seconds, completed }) => {
    if (completed) {
      return <span>پایان تخفیف</span>;
    } else {
      return (
        <span className="text-xs text-nowrap w-20 ">
          {hours}:{minutes}:{seconds} {days > 0 && ` - ${days} روز `}
        </span>
      );
    }
  };

  return (
    <Chip
      label={<Countdown date={new Date(endTime)} renderer={renderer} />}
      icon={icon && <AccessTime fontSize="small" />}
      color="warning"
      size={size}
    />
  );
};

export default DiscountPriceCounter;
